Skip to content

Contextual Segments CPM estimates

Request

Get CPM estimates for contextual segments

Security
Auth0(Required scopes: offline_accessmanage:services)
Query
extendedboolean

Get extended properties in response

Bodyapplication/json
currency_codestring, = 3 charactersrequired
Example:"USD"
includeArray of objects
excludeobject
POST
/contextual_segments/cpm_estimate
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/contextual_segments/cpm_estimate?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "currency_code": "USD",
    "include": [
      {
        "code": "string",
        "operator": "AND",
        "segments": [
          {
            "targeting_segment_id": 67,
            "user_cpm": 0.1
          }
        ]
      }
    ],
    "exclude": {
      "code": "string",
      "operator": "AND",
      "segments": [
        {
          "targeting_segment_id": 76,
          "user_cpm": 0.1
        }
      ]
    }
  }'

Responses

CPM estimate response

Bodyapplication/json
dataobject
metaobject
Response
{ "data": { "cpm": {}, "segments": [] }, "meta": { "status": "success" } }